package com.goldenwater.slgc.service.impl;

import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttPustBase;
import com.goldenwater.slgc.mapper.AttPustBaseMapper;
import com.goldenwater.slgc.service.PustService;

/** 水闸信息 业务实现 */
@Service
public class PustServiceImpl implements PustService {
    @Autowired
    private AttPustBaseMapper attPustBaseMapper;

    @Override
    public List<AttPustBase> selectAttPustBaseList(AttPustBase attPustBase) {
        return attPustBaseMapper.selectAttPustBaseList(attPustBase);
    }

    @Override
    public AttPustBase selectAttPustBaseById(String pustCode) {
        return attPustBaseMapper.selectAttPustBaseById(pustCode);
    }

    @Override
    public int deleteAttPustBaseByIds(String[] pustCodes) {
        return attPustBaseMapper.deleteAttPustBaseByIds(pustCodes);
    }

    @Override
    public int insertAttPustBase(AttPustBase attPustBase) {
        return attPustBaseMapper.insertAttPustBase(attPustBase);
    }

    @Override
    public int updateAttPustBase(AttPustBase attPustBase) {
        return attPustBaseMapper.updateAttPustBase(attPustBase);
    }

    @Override
    public List<Map<String, Object>> countType() {
        return attPustBaseMapper.countType();
    }
}
